#include "SDLConsole.h"

bool SDLConsole::LoadPaletteMegaZeux(char *filename) {
	SDL_RWops *fileOp = SDL_RWFromFile(filename, "rb");
	if(fileOp == NULL) return false;
	
	for(int i = 0; i < COLORS; i++) {
		char colTriplet[3];

		// read one color triplet
		SDL_RWread(fileOp, colTriplet, 1, 3);

		// assign to the current palette entry
		palette[i].Red   = colTriplet[0] * 4;
		palette[i].Green = colTriplet[1] * 4;
		palette[i].Blue  = colTriplet[2] * 4;
	}

	return true;
}