#include "SDLConsole.h"

Uint8 SDLConsole::GetCharacter(Uint16 X, Uint16 Y) {
	return charMap[X][Y];
}

Uint8 SDLConsole::GetPalette(Uint16 X, Uint16 Y) {
	return colorMap[X][Y];
}

void SDLConsole::SetCharacter(Uint8 chr, Uint16 X, Uint16 Y) {
	charMap[X][Y] = chr;
}

void SDLConsole::SetPalette(Uint8 pal, Uint16 X, Uint16 Y) {
	colorMap[X][Y] = pal;
}

Uint8** SDLConsole::GetCharMap() {
	return charMap;
}

Uint8** SDLConsole::GetColorMap() {
	return colorMap;
}

void SDLConsole::SetCharMap(Uint8 **newCharMap) {
	charMap = newCharMap;
}

void SDLConsole::SetColorMap(Uint8 **newColorMap) {
	colorMap = newColorMap;
}